Hardware Hacking - Bug #602

LG N2R1D Firmware Won't Upgrade Past Version 2660
04/21/2015 11:45 AM - Daniel Curtis

Status: Closed Start date: 04/21/2015
Priority: High Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Estimated time: 2.00 hours
Target version: Spent time: 2.50 hours
Description

| encountered a problem while upgrading the firmware for my LG N2R1D NAS. The problem being that upgrading the firmware from
version 2660 to version 10094 would not work and after applying the update, the firmware was still stuck at version 2660.

| found a solution by downloading the NC1_NewUI|_update_tool(10094)_eng.zip file from the LG support website# and extracting that
into a Windows XP virtual machine with a bridged network interface.

Once the virtual Windows XP environment was setup | shut down the NAS and ran the LGNASDetector.exe application inside the
Enclosure folder and then turned on the NAS. The LGNASDetector.exe application detected the LG-NAS as "LG-NAS Enclosure".

When the LGNASDetector.exe application found the LG-NAS in Enclosure mode | clicked on Install NAS system. This started the
upgrade process and popped up with a couple of big scary warnings, to which | accepted.

After the upgrade finished the LG-NAS rebooted itself and was fully upgraded to the newest firmware version.

Resources

e http://www.lg.com/us/support-product/lg-N2R1D#
e http://www.snbforums.com/threads/cant-initialise-enclosure-mode-lg-nas-n2b1.8700/
¢ https://plus.google.com/+TedSummers/posts/NfjH2eqByhe

History

#1 - 04/21/2015 12:30 PM - Daniel Curtis
- Status changed from New to In Progress

- % Done changed from 0 to 50

#2 - 04/22/2015 01:11 PM - Daniel Curtis
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#3 - 05/10/2015 09:19 AM - Daniel Curtis

- Status changed from Resolved to Closed

Files

NC1_NewUI_update_tool_eng.zip 285 MB 04/21/2015 Daniel Curtis
